Debian Bug report logs - #636133
libgtk2-mozembed-perl: FTBFS: gdkconfig.h: No such file or directory

version graph

Package: src:libgtk2-mozembed-perl; Maintainer for src:libgtk2-mozembed-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>;

Reported by: Dominic Hargreaves <dom@earth.li>

Date: Sun, 31 Jul 2011 13:09:07 UTC

Severity: serious

Found in version libgtk2-mozembed-perl/0.09-1

Fixed in version libgtk2-mozembed-perl/0.09-1+rm

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#636133; Package src:libgtk2-mozembed-perl. (Sun, 31 Jul 2011 13:09:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sun, 31 Jul 2011 13:09:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: submit@bugs.debian.org
Subject: libgtk2-mozembed-perl: FTBFS: gdkconfig.h: No such file or directory
Date: Sun, 31 Jul 2011 13:17:05 +0100
Source: libgtk2-mozembed-perl
Version: 0.09-1
Severity: serious
Justification: FTBFS

This package FTBFS in a clean sid chroot:

[ CC xs/GtkMozEmbed.c ]
In file included from /usr/include/gtk-2.0/gdk/gdkscreen.h:32:0,
                 from /usr/include/gtk-2.0/gdk/gdkapplaunchcontext.h:31,
                 from /usr/include/gtk-2.0/gdk/gdk.h:32,
                 from /usr/include/gtk-2.0/gtk/gtk.h:32,
                 from /usr/lib/perl5/Gtk2/Install/gtk2perl.h:29,
                 from ./gtkmozembed2perl.h:28,
                 from xs/GtkMozEmbed.xs:21:
/usr/include/gtk-2.0/gdk/gdktypes.h:55:23: fatal error: gdkconfig.h: No such fil
e or directory
compilation terminated.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#636133; Package src:libgtk2-mozembed-perl. (Mon, 01 Aug 2011 02:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Yu <jawnsy@cpan.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Mon, 01 Aug 2011 02:42:06 GMT) Full text and rfc822 format available.

Message #10 received at 636133@bugs.debian.org (full text, mbox):

From: Jonathan Yu <jawnsy@cpan.org>
To: Dominic Hargreaves <dom@earth.li>
Cc: 636133@bugs.debian.org
Subject: Re: Bug#636133: libgtk2-mozembed-perl: FTBFS: gdkconfig.h: No such file or directory
Date: Sun, 31 Jul 2011 22:38:01 -0400
Hi,

I have successfully reproduced this issue in a sid chroot, and
subsequently confirmed that this issue (the immediate issue, but not
the FTBFS) can be fixed by rebuilding libgtk2-perl:

[ XS xs/GtkMozEmbed.xs ]
[ CC xs/GtkMozEmbed.c ]
In file included from /usr/include/gtk-2.0/gdk/gdkscreen.h:32:0,
                 from /usr/include/gtk-2.0/gdk/gdkapplaunchcontext.h:31,
                 from /usr/include/gtk-2.0/gdk/gdk.h:32,
                 from /usr/include/gtk-2.0/gtk/gtk.h:32,
                 from /usr/lib/perl5/Gtk2/Install/gtk2perl.h:29,
                 from ./gtkmozembed2perl.h:28,
                 from xs/GtkMozEmbed.xs:21:
/usr/include/gtk-2.0/gdk/gdktypes.h:55:23: fatal error: gdkconfig.h:
No such file or directory
compilation terminated.
make[1]: *** [xs/GtkMozEmbed.o] Error 1
make[1]: Leaving directory `/root/libgtk2-mozembed-perl'
dh_auto_build: make -j1 returned exit code 2
make: *** [build] Error 2
dpkg-buildpackage: error: debian/rules build gave error exit status 2

After rebuilding and installing the rebuilt version:

(Reading database ... 26678 files and directories currently installed.)
Preparing to replace libgtk2-perl 2:1.223-1+b1 (using
.../libgtk2-perl_1.223-2_i386.deb) ...
Unpacking replacement libgtk2-perl ...
Setting up libgtk2-perl (2:1.223-2) ...

(this version came out of the pkg-perl git)

[ XS xs/GtkMozEmbed.xs ]
[ CC xs/GtkMozEmbed.c ]
In file included from xs/GtkMozEmbed.xs:21:0:
./gtkmozembed2perl.h:34:25: fatal error: gtkmozembed.h: No such file
or directory
compilation terminated.
make[1]: *** [xs/GtkMozEmbed.o] Error 1
make[1]: Leaving directory `/root/libgtk2-mozembed-perl'
dh_auto_build: make -j1 returned exit code 2
make: *** [build] Error 2
dpkg-buildpackage: error: debian/rules build gave error exit status 2

It looks like the gtkmozembed.h file is no longer available anywhere.
There are a few results from apt-file, but the newest version of
xulrunner (now in sid) is xulrunner-5.0, which does not seem to
provide this file.

apt-file says:

icedove-dev: /usr/include/icedove/gtkmozembed.h
kompozer-dev: /usr/include/kompozer/gtkembedmoz/gtkmozembed.h
xulrunner-dev: /usr/include/xulrunner-1.9.1/unstable/gtkmozembed.h

I think that this package will only be able to build if you restrict
it to build with the previous version of xulrunner...

Cheers,

Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#636133; Package src:libgtk2-mozembed-perl. (Tue, 02 Aug 2011 10:54:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Butler <chrisb@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Tue, 02 Aug 2011 10:54:21 GMT) Full text and rfc822 format available.

Message #15 received at 636133@bugs.debian.org (full text, mbox):

From: Chris Butler <chrisb@debian.org>
To: Jonathan Yu <jawnsy@cpan.org>, 636133@bugs.debian.org
Subject: Re: Bug#636133: libgtk2-mozembed-perl: FTBFS: gdkconfig.h: No such file or directory
Date: Tue, 2 Aug 2011 11:42:35 +0100
On Sun, Jul 31, 2011 at 10:38:01PM -0400, Jonathan Yu wrote:
> It looks like the gtkmozembed.h file is no longer available anywhere.
> There are a few results from apt-file, but the newest version of
> xulrunner (now in sid) is xulrunner-5.0, which does not seem to
> provide this file.

Looks like this has been removed from mozilla:

https://bugzilla.mozilla.org/show_bug.cgi?id=648156
https://lwn.net/Articles/436412/

I guess this means the package is obsolete and should be removed?

It has one rdep according to apt on my system: gmusicbrowser. It is however
only a Suggests and looking at the long description it looks like
gmusicbrowser can use mozilla OR webkit to display web pages.

-- 
Chris Butler  <chrisb@debian.org>
  GnuPG Key ID:  4096R/49E3ACD3
 Member of the Debian Perl Group




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#636133; Package src:libgtk2-mozembed-perl. (Tue, 02 Aug 2011 11:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Butler <chrisb@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Tue, 02 Aug 2011 11:54:06 GMT) Full text and rfc822 format available.

Message #20 received at 636133@bugs.debian.org (full text, mbox):

From: Chris Butler <chrisb@debian.org>
To: Chris Butler <chrisb@debian.org>, 636133@bugs.debian.org
Subject: Re: Bug#636133: libgtk2-mozembed-perl: FTBFS: gdkconfig.h: No such file or directory
Date: Tue, 2 Aug 2011 12:50:22 +0100
On Tue, Aug 02, 2011 at 11:42:35AM +0100, Chris Butler wrote:
> It has one rdep according to apt on my system: gmusicbrowser. It is however
> only a Suggests and looking at the long description it looks like
> gmusicbrowser can use mozilla OR webkit to display web pages.

On closer inspection, it seems that the Gtk2::WebKit module is not currently
available in Debian, so gtkmozembed is /currently/ the only option here.
I'll look into packaging it, so that if we need to remove gtkmozembed, then
we still have some form of embedded browser module available…

-- 
Chris Butler <chrisb@debian.org>
  GnuPG Key ID: 4096R/49E3ACD3




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#636133; Package src:libgtk2-mozembed-perl. (Fri, 12 Aug 2011 15:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Fri, 12 Aug 2011 15:03:03 GMT) Full text and rfc822 format available.

Message #25 received at 636133@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Chris Butler <chrisb@debian.org>, 636133@bugs.debian.org
Subject: Re: Bug#636133: libgtk2-mozembed-perl: FTBFS: gdkconfig.h: No such file or directory
Date: Fri, 12 Aug 2011 16:58:11 +0200
[Message part 1 (text/plain, inline)]
On Tue, 02 Aug 2011 12:50:22 +0100, Chris Butler wrote:

> On closer inspection, it seems that the Gtk2::WebKit module is not currently
> available in Debian, so gtkmozembed is /currently/ the only option here.
> I'll look into packaging it, so that if we need to remove gtkmozembed, then
> we still have some form of embedded browser module available…

I just found an UNRELEASED libgtk2-webkit-perl package in our git
repo; it's from 2009, no idea why it was never uploaded. 

Cheers,
gregor 
-- 
 .''`.   Homepage: http://info.comodo.priv.at/ - PGP/GPG key ID: 0x8649AA06
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: Beatles
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#636133; Package src:libgtk2-mozembed-perl. (Fri, 03 Feb 2012 22:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Yu <jawnsy@cpan.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Fri, 03 Feb 2012 22:30:03 GMT) Full text and rfc822 format available.

Message #30 received at 636133@bugs.debian.org (full text, mbox):

From: Jonathan Yu <jawnsy@cpan.org>
To: Debian Perl List <debian-perl@lists.debian.org>
Cc: 636133@bugs.debian.org
Subject: Replace libgtk2-mozembed-perl with libgtk2-webkit-perl?
Date: Fri, 3 Feb 2012 17:27:52 -0500
[Message part 1 (text/plain, inline)]
Hi all,

In August 2011, gregor mentioned that we could attempt to replace
libgtk2-mozembed-perl (which is currently FTBFS) with libgtk2-webkit-perl,
which was never uploaded (since being packaged in 2009). I am wondering if
there are comments as to whether we could solve BTS#636133 by replacing
libgtk2-mozembed-perl with libgtk2-webkit-perl (there is only one reverse
dependency of libgtk2-mozembed-perl, and it looks like it could use
libgtk2-webkit-perl instead).

Should we pursue this avenue, or does anyone know of a reason we shouldn't
bother?

I have not yet attempted to build libgtk2-webkit-perl nor test it against
the mentioned reverse dependency, gmusicbrowser. But it looks like we have
little choice but to remove libgtk2-mozembed-perl, as it is obsoleted by
upstream (per Chris Butler's comment).

Cheers,

Jonathan

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=636133
[Message part 2 (text/html, inline)]

Marked as fixed in versions libgtk2-mozembed-perl/0.09-1+rm. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sat, 18 Aug 2012 18:03:12 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sat, 18 Aug 2012 18:03:12 GMT) Full text and rfc822 format available.

Notification sent to Dominic Hargreaves <dom@earth.li>:
Bug acknowledged by developer. (Sat, 18 Aug 2012 18:03:13 GMT) Full text and rfc822 format available.

Message sent on to Dominic Hargreaves <dom@earth.li>:
Bug#636133. (Sat, 18 Aug 2012 18:03:29 GMT) Full text and rfc822 format available.

Message #39 received at 636133-submitter@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: control@bugs.debian.org
Cc: 636133-submitter@bugs.debian.org
Subject: closing 636133
Date: Sat, 18 Aug 2012 19:58:36 +0200
close 636133 0.09-1+rm
thanks

Package removed, cf. #662167
   
Cheers,
gregor
   
-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 16 Sep 2012 07:27:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:11:55 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.